var __log = __log || (window.console !== undefined) ? window.console.log.bind(console) : function () {},
    __err = __err || (window.console !== undefined) ? window.console.error.bind(console) : function () {},
    __warn = __warn || (window.console !== undefined) ? window.console.warn.bind(console) : function () {},
    cin = cin || {};
cin.plugin = cin.plugin || {};
cin.plugin.banners = cin.plugin.banners || {};
cin.plugin.banners.app = {
    init: function () {
        this.initDatepicker();
    },
    initDatepicker: function () {
        try {
            $.datepicker.regional['de'].showWeek = true;
            $.datepicker.setDefaults($.datepicker.regional['de']);
            $('#tableBanner .datepicker').datepicker();
        }
        catch (ex) {
            __warn('Datepicker error:', ex);
        }
    },
    addDatepicker: function (id) {
        try {
            __log('Add datepicker for', id);
            $(id).datepicker();
        }
        catch (ex) {
            __warn('Datepicker error for', id, ':', ex);
        }
    }
};
$(function () {
    cin.plugin.banners.app.init();
});
