{*{config_load file="$lang.conf" section="banner"}*}
{*{include file="tpl_inc/seite_header.tpl" cTitle=#banner# cBeschreibung=#bannerDesc# cDokuURL=#bannerURL#}*}
<div id="content" class="container-fluid">
    {function name=banner level=0}
        <tr class="text-vcenter" id="banner{$kBanner}">
            <td class="text-left vcenter">
                {strip}
                    <input type="hidden" id="banner{$kBanner}delete" name="banners[{$kBanner}][delete]" value="0" />
                    <input type="hidden" name="banners[{$kBanner}][cPic]" value="{if isset($oBanner->cPic)}{$oBanner->cPic}{/if}" />
                    <input type="hidden" name="banners[{$kBanner}][cThumbnail]" value="{if isset($oBanner->cThumbnail)}{$oBanner->cThumbnail}{/if}" />
                    <input type="hidden" class="form-control text-center margin2" id="banners[{$kBanner}][nSort]" name="banners[{$kBanner}][nSort]" value="{if $kBanner}{$smarty.foreach.banner.iteration}{/if}" autocomplete="off" />
                    <div class="input-group margin2">
                        <span class="input-group-wrap">
                            <input class="form-control text-center hasPattern" pattern="[0-9]*" title="Sales" type="text" name="banners[{$kBanner}][cSales]" value="{if isset($oBanner->cSales)}{$oBanner->cSales}{/if}" placeholder="Sales" />
                        </span>
                        <span class="input-group-addon">%</span>
                    </div>
                    <input class="form-control margin2 text-center" type="text" title="FA-Wert" name="banners[{$kBanner}][cFAValue]" value="{if isset($oBanner->cFAValue)}{$oBanner->cFAValue}{/if}" placeholder="FA-Wert" />
                    <i class="banner-move margin2 btn btn-primary btn-block fa fa-bars" title="Verschieben"></i>
                {/strip}
            </td>
            <td class="text-center vcenter">
                <img src="{if isset($oBanner->cPic)}{$oBanner->cPic}{elseif isset($oBanner->cPic)}{$oBanner->cPic}{else}templates/bootstrap/gfx/layout/upload.png{/if}" id="img{$kBanner}" onclick="selectImage('{$kBanner}');" alt="Bannergrafik" title="Bannergrafik" class="img-responsive banner-image" role="button" />
            </td>
            <td class="text-right vcenter">
                {strip}
                    <input class="form-control margin2 no-margin-h hasPattern" pattern="[^<>$=]*" id="cTitle{$kBanner}" type="text" title="Name" name="banners[{$kBanner}][cName]" value="{if isset($oBanner->cName)}{$oBanner->cName}{/if}" placeholder="Name" />
                    <input class="form-control margin2 no-margin-h datepicker" id="cTimer{$kBanner}" type="text" title="Ablaufdatum" name="banners[{$kBanner}][dTimer]" value="{if isset($oBanner->dTimer)}{$oBanner->dTimer|date_format:'%d.%m.%Y'}{/if}" placeholder="Ablaufdatum" />
                    <input class="form-control margin2 no-margin-h hasPattern" pattern="[^<>$]*" id="cLink{$kBanner}" type="text" title="WL-Link" name="banners[{$kBanner}][cLink]" value="{if isset($oBanner->cLink)}{$oBanner->cLink}{/if}" placeholder="WL-Link" />
                    {*<textarea class="form-control vheight" id="cContent{$kBanner}" name="banners[{$kBanner}][cContent]" maxlength="255" placeholder="Text">{if isset($oBanner->cContent)}{$oBanner->cContent}{/if}</textarea>*}
                    <button type="button" class="banner-delete margin2 no-margin-h btn btn-danger btn--block fa fa-trash" title="L&ouml;schen"></button>
                {/strip}
            </td>
        </tr>
    {/function}
    <form id="banners" method="post" enctype="multipart/form-data">
        <input type="hidden" name="action" value="bannerSave" />
        {$jtl_token}
        <div id="settings" class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Banner Sales{*{#banner#}*}</h3>
            </div>
            <div clss="table-responsive">
                <table id="tableBanner" class="table">
                    <thead>
                        <tr>
                            <th class="col-xs-1 text-left">
                                <abbr title="Sales Wert in Prozent&#10;(bspw. 20 fr 20%)&#10;Bitte nur Zahlen eingeben">Sales %</abbr> /
                                <abbr title="Wert des Funktionsattributs&#10;(bspw. sport-20 fr Sportartikel mit 20% Rabatt)">FA-Wert</abbr>
                            </th>
                            <th class="col-xs-9 text-center">Bild</th>
                            <th class="col-xs-2 text-left">
                                <abbr title="Name oder Bezeichnung&#10;(bspw. Sportartikel)&#10;Erlaubte Zeichen: alle, Ausnahme: < > $ =">Name</abbr> /
                                <abbr title="Ablaufdatum (Aktion gltig bis ...)">Ablaufdatum</abbr> /
                                <abbr title="Ziel URL ohne Domainname (Weiterleitungslink, &#10;bspw. alle-Sportartikel-20-Prozent-guenstiger)&#10;Erlaubte Zeichen: alle, Ausnahme: < > $">WL-Link</abbr>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        {foreach name="banner" from=$banners item=oBanner}
                            {banner kBanner=$oBanner->kBanner oBanner=$oBanner}
                        {/foreach}
                    </tbody>
                    <tfoot>
                        <tr>
                            <th class="col-xs-1 text-left">
                                <abbr title="Sales Wert in Prozent&#10;(bspw. 20 fr 20%)&#10;Bitte nur Zahlen eingeben">Sales %</abbr> /
                                <abbr title="Wert des Funktionsattributs&#10;(bspw. sport-20 fr Sportartikel mit 20% Rabatt)">FA-Wert</abbr>
                            </th>
                            <th class="col-xs-9 text-center">Bild</th>
                            <th class="col-xs-2 text-left">
                                <abbr title="Name oder Bezeichnung&#10;(bspw. Sportartikel)&#10;Erlaubte Zeichen: alle, Ausnahme: < > $ =">Name</abbr> /
                                <abbr title="Ablaufdatum (Aktion gltig bis ...)">Ablaufdatum</abbr> /
                                <abbr title="Ziel URL ohne Domainname (Weiterleitungslink, &#10;bspw. alle-Sportartikel-20-Prozent-guenstiger)&#10;Erlaubte Zeichen: alle, Ausnahme: < > $">WL-Link</abbr>
                            </th>
                        </tr>
                    </tfoot>
                </table>
                <table class="hidden"><tbody id="newBanner">{banner oBanner=null kBanner='NEU'}</tbody></table>
            </div>
            <div class="panel-footer text-right">
                <div class="upload_info kcfinderPath">{*{$ShopURL}/*}{$PFAD_KCFINDER}</div>
                {*<button type="button" class="btn btn-default" onclick="window.location.href = '';"><i class="fa fa-angle-double-left"></i> zur&uuml;ck</button>*}
                <div class="btn-group">
                    <button type="button" class="btn btn-success" onclick="addBanner();"><i class="glyphicon glyphicon-plus"></i> Hinzuf&uuml;gen</button>
                    <a type="button" class="btn btn-danger" href="{$adminFormURL}{*location.reload();*}"><i class="glyphicon glyphicon-remove"></i> Abbrechen</a>
                    <button type="submit" class="btn btn-primary" id="saveButton"><i class="fa fa-save"></i> Speichern</button>
                </div>
            </div>
        </div>
    </form>
</div>
