var __log = __log || (window.console !== undefined) ? window.console.log.bind(console) : function () {},
    __err = __err || (window.console !== undefined) ? window.console.error.bind(console) : function () {},
    __warn = __warn || (window.console !== undefined) ? window.console.warn.bind(console) : function () {},
    cin = cin || {};
cin.plugin = cin.plugin || {};
cin.plugin.banners = cin.plugin.banners || {};
cin.plugin.banners.app = {
    init: function () {
        //this.initDatepicker();
        //this.initDatetimepicker();
        $('.banners input,.banners textarea').on('change', function () {
            $(this).addClass('is-changed');
        });
    },
    // cin.plugin.banners.app.addLinkChecker(kBanner);
    addLinkChecker: function (kBanner) {
        $('#cLink' + kBanner).on('keyup focus blur', function () {
            try {
                var link = $(this).val();
                if (link.length > 0 && String(link).regexIndexOf(/[<>$]/) === false) {
                    $('#testLink' + kBanner).
                        attr('href', '../navi.php?suche=' + encodeURIComponent(link)).
                        removeClass('disabled').
                        addClass('btn-default').
                        addClass('btn-success');
                }
                else {
                    $('#testLink' + kBanner).
                        attr('href', '').
                        removeClass('btn-success').
                        addClass('btn-default').
                        addClass('disabled');
                }
            }
            catch (ex) {
                console.warn($(this).attr('id'), ex);
            }
        });
        $('#cLink' + kBanner).trigger('blur');
//        $('#testLink' + kBanner).on('click', function (e) {
//            e.stopPropagation();
//            $('#testLink' + kBanner).
//                attr('href', '../navi.php?suche=' + link).
//                trigger('click');
//        });
    },
    // Datetimepicker
    initDatetimepicker: function (ready) {
        try {
            __log('Init datetimepicker', ready);
            $.timepicker.regional['de'] = $.timepicker.regional[''];
            $.timepicker.regional['de'].showWeek = true;
            $.timepicker.setDefaults($.timepicker.regional['de']);
            //$('#tableBanner .datepicker').datepicker();
            __log('Init datetimepicker ready', ready);
        }
        catch (ex) {
            __warn('Datetimepicker init error:', ex);
        }
    },
    // cin.plugin.banners.app.addDatetimepicker(id, ready);
    addDatetimepicker: function (id, ready) {
        try {
            __log('Add datetimepicker for', id, ready);
            $('#' + id).datetimepicker({
                dateFormat: 'dd.mm.yy',
                timeFormat: 'hh:mm:ss',
                showSecond: false
            });
        }
        catch (ex) {
            __warn('Datetimepicker error for', id, ':', ex);
        }
    },
    // Datepicker
    initDatepicker: function (ready) {
        try {
            __log('Init datepicker', ready);
            $.datepicker.regional['de'].showWeek = true;
            $.datepicker.setDefaults($.datepicker.regional['de']);
            //$('#tableBanner .datepicker').datepicker();
            __log('Init datepicker ready', ready);
        }
        catch (ex) {
            __warn('Datepicker init error:', ex);
        }
    },
    // cin.plugin.banners.app.addDatepicker(id, ready);
    addDatepicker: function (id, ready) {
        try {
            __log('Add datepicker for', id, ready);
            $('#' + id).datepicker();
        }
        catch (ex) {
            __warn('Datepicker error for', id, ':', ex);
        }
    }
};
$(function () {
    cin.plugin.banners.app.init();
});

if (typeof regexIndexOf != 'function') {
    String.prototype.regexIndexOf = function (regex, startpos) {
        var indexOf = String(this).substring(startpos || 0).search(regex);
        return (indexOf >= 0) ? (indexOf + (startpos || 0)) : false;
    }
}
