var __log = __log || (window.console !== undefined) ? window.console.log.bind(console) : function () {},
    __err = __err || (window.console !== undefined) ? window.console.error.bind(console) : function () {},
    __warn = __warn || (window.console !== undefined) ? window.console.warn.bind(console) : function () {},
    cin = cin || {};
cin.base = cin.base || {};
cin.base.plugin = {
    init: function () {
        // Copyright by CiN GmbH
        var versionLine = 0,
            contentBlockAvailable = false,
            contentBlocks = [],
            useContentBlock;
        $('#content_wrapper>div:nth-child(1)>p').each(function (i) {
            if (String($(this).html()).indexOf('Version') > -1) {
                versionLine = (i + 2);
            }
        });
        $('#content_wrapper>div:nth-child(1)>p:nth-child(' + versionLine + ')').remove();
        contentBlocks = ['#content_wrapper>div:nth-child(1)>h1', 'div#content>.block',
            '#content_wrapper>div.content-header>div.row', '#content_wrapper>div.content-header'];
        $.each(contentBlocks, function (i, contentBlock) {
            if ($(contentBlock).length > 0) {
                useContentBlock = contentBlock;
                contentBlockAvailable = true;
                return false;
            }
        });
        if (!contentBlockAvailable) {
            useContentBlock = '#header-info';
        }
        $(useContentBlock).addClass('logo-extra');
        $('<div id="cin-plugin-info-block" />').insertBefore(useContentBlock);
        $('#cin-plugin-info-block').addClass('pull-right').
            html('<p id="cin-plugin-logo" /><p id="cin-plugin-info" />');
        if (contentBlockAvailable) {
            $(useContentBlock).addClass('header-info-right');
            if ($(useContentBlock).hasClass('well')) {
                $('#cin-plugin-info-block').addClass('well');
            }
        }
        else {
            $('#cin-plugin-news,#cin-plugin-xselling').addClass('header-info-right');
        }
        if ($('#cin-plugin-info').length > 0) {
            $('#cin-plugin-info').html($('#header-info').html());
            $('#header-info').remove();
        }
        if (!cin.base.config) {
            return false;
        }
    }
};
$(function () {
    cin.base.plugin.init();
});
